# cctuip

> Co-op Cloud TUI prototype 🎉

## Features

* `abra app ls` compatibility. It does not query `-S` unless you press
  `s` (like passing `-S` on the CLI) so that initial loading times are
  real fast (because we only query local-first data in `~/.abra`).

* Fuzzy search against domain, server and recipe.

## Controls

* `up/down`: scroll up / down (`jk` vim bindings also work)
* `page up/down`: ;page up down (`ctrl+u/d` vim binding also work)
* `/`: fuzzy filter against domain, server & recipe
* `enter`: focus on table, select row, confirm
* `esc`: reset filter
* `s`: retrieve app deployment status (filter first to reduce scope)

## Install

(Only `x86_64` supported atm for alpha testing)

```
curl https://git.coopcloud.tech/decentral1se/cctuip/raw/branch/main/cctuip -o cctuip
chmod +x cctuip
./cctuip
```
